Subject: 27.0.50; Problems with nnimap groups with non-ASCII characters

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 10 Apr 2019 15:15:34 +0200

This started showing up yesterday after recent changes in Gnus:

To reproduce: Create an nnimap group called "Tést".  Restarting Gnus
will properly create the group "Tést", but Gnus will also say

nnimap read 12k from quimby.gnus.org (initial sync of 3 groups; please wait)

If you then quit Gnus and restart Gnus, this group will appear:

       *: nnimap+quimby.gnus.org:T\351st

If you try to kill it, all the groups in the buffer will disappear.

So something went wrong during whatever the most recent group-related
changes were.  :-)

In GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
 of 2019-04-09 built on stories
Repository revision: 44b306d3510e54432b76724583ea9405f1c90686
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11604000
System Description: Debian GNU/Linux 9 (stretch)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no